]> git.donarmstrong.com Git - zsh.git/blobdiff - .zsh/func/TS
import TS function
[zsh.git] / .zsh / func / TS
diff --git a/.zsh/func/TS b/.zsh/func/TS
new file mode 100755 (executable)
index 0000000..dc2e65f
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# func/TS
+#
+# a convenient way to create an environment for collaborative testing
+#
+# Copyright © 1994–2008 martin f. krafft <madduck@madduck.net>
+# Released under the terms of the Artistic Licence 2.0
+#
+# Source repository: http://git.madduck.net/v/etc/zsh.git
+#
+
+local topic filename ret
+topic="${(j:_:)@}"
+filename="${TMPDIR:-/tmp}/script.${topic:-$LOGNAME}.$$.$(date +%Y%m%d.%H%M)"
+PS1="%# " script -c "zsh -f" -f -q
+ret=$?
+echo "$filename"
+return $ret
+exit $ret